---
title: "Overview"
---

This tutorial is designed to give the user a **quick glimpse** of some key aspects of the simulation assembled toolkit and is in no way near a full treatment.
Rather, the aim of this tutorial is to **provide starting point** to quickly begin simulation work with the modern software tools.
The key toolkit components were thoughtfully selected to (i) leverage externally supported and maintained projects, (ii) decouple framework as much as possible, (iii) allow for modern tools to be developed  with the vision of using these tools for next decade.
The key software components are:
 - DD4hep (with Geant4 and ROOT)
 - GAUDI
 - ACTS
 - podio


## DD4hep 

DD4hep introduces the concept of a `DetElement` which is related to the volumes (logical volumes) and placed volumes but not in a strict way.
These elements build up a separate tree which describes the relationship between the volumes and the readout detectors. 
Through the unique BitField ID this allows position space information to be mapped to and from channel number/cell ID space.


## EIC Data model

### PODIO  

The idea is to use plain-old-datatype IO. PODIO stamps out structs based on yaml files.

![data model use](data_model_use2.png)


## NPDet - Nuclear physics detector library

NPDet is a collection of _generic detectors_ and _geometry tools_ built around using DD4hep. 

 - `dd_web_display`
 - `npdet_info`
 - `npdet_to_step`
 - `npdet_to_teve`
 - `npdet_fields`

## Reconstruction and Tracking Tools

The goal of having a robust detector library and data model is to aid in the use and development of new tools, techniques, and algorithms.

Many external tools exist that can be applied along the path to the ultimate physics analysis.

See the [useful links](links) for a list of tools.



